| Flutter Linux Embedder |

Classes | Functions
fl_renderer_headless.cc File Reference
`#include "fl_renderer_headless.h"`

Go to the source code of this file.

## Classes
struct | _FlRendererHeadless

## Functions
static void | fl_renderer_headless_make_current (FlRenderer *renderer)
static void | fl_renderer_headless_make_resource_current (FlRenderer *renderer)
static void | fl_renderer_headless_clear_current (FlRenderer *renderer)
static gdouble | fl_renderer_headless_get_refresh_rate (FlRenderer *renderer)
static void | fl_renderer_headless_class_init (FlRendererHeadlessClass *klass)
static void | fl_renderer_headless_init (FlRendererHeadless *self)
FlRendererHeadless * | fl_renderer_headless_new ()

## Function Documentation

## ◆ fl_renderer_headless_class_init()

static void fl_renderer_headless_class_init | ( | FlRendererHeadlessClass * | klass | ) |
| static

Definition at line 27 of file fl_renderer_headless.cc.

27 {
28 FL_RENDERER_CLASS(klass)->make_current = fl_renderer_headless_make_current;
29 FL_RENDERER_CLASS(klass)->make_resource_current =
30 fl_renderer_headless_make_resource_current;
31 FL_RENDERER_CLASS(klass)->clear_current = fl_renderer_headless_clear_current;
32 FL_RENDERER_CLASS(klass)->get_refresh_rate =
33 fl_renderer_headless_get_refresh_rate;
34 }

References fl_renderer_headless_clear_current(), fl_renderer_headless_get_refresh_rate(), fl_renderer_headless_make_current(), and fl_renderer_headless_make_resource_current().

## ◆ fl_renderer_headless_clear_current()

static void fl_renderer_headless_clear_current | ( | FlRenderer * | renderer | ) |
| static

Definition at line 20 of file fl_renderer_headless.cc.

20 {}

Referenced by fl_renderer_headless_class_init().

## ◆ fl_renderer_headless_get_refresh_rate()

static gdouble fl_renderer_headless_get_refresh_rate | ( | FlRenderer * | renderer | ) |
| static

Definition at line 23 of file fl_renderer_headless.cc.

23 {
24 return -1.0;
25 }

Referenced by fl_renderer_headless_class_init().

## ◆ fl_renderer_headless_init()

static void fl_renderer_headless_init | ( | FlRendererHeadless * | self | ) |
| static

Definition at line 36 of file fl_renderer_headless.cc.

36 {}

## ◆ fl_renderer_headless_make_current()

static void fl_renderer_headless_make_current | ( | FlRenderer * | renderer | ) |
| static

Definition at line 14 of file fl_renderer_headless.cc.

14 {}

Referenced by fl_renderer_headless_class_init().

## ◆ fl_renderer_headless_make_resource_current()

static void fl_renderer_headless_make_resource_current | ( | FlRenderer * | renderer | ) |
| static

Definition at line 17 of file fl_renderer_headless.cc.

17 {}

Referenced by fl_renderer_headless_class_init().

## ◆ fl_renderer_headless_new()

FlRendererHeadless* fl_renderer_headless_new | ( |  | ) |

Definition at line 38 of file fl_renderer_headless.cc.

38 {
39 return FL_RENDERER_HEADLESS(
40 g_object_new(fl_renderer_headless_get_type(), nullptr));
41 }

Referenced by fl_engine_new_headless().

fl_renderer_headless_clear_current
static void fl_renderer_headless_clear_current(FlRenderer *renderer)
Definition: fl_renderer_headless.cc:20
fl_renderer_headless_make_current
static void fl_renderer_headless_make_current(FlRenderer *renderer)
Definition: fl_renderer_headless.cc:14
fl_renderer_headless_make_resource_current
static void fl_renderer_headless_make_resource_current(FlRenderer *renderer)
Definition: fl_renderer_headless.cc:17
fl_renderer_headless_get_refresh_rate
static gdouble fl_renderer_headless_get_refresh_rate(FlRenderer *renderer)
Definition: fl_renderer_headless.cc:23